Update log4net please!

Vote:
 

The version EPiServer is running is very old now (januari 2011) https://www.nuget.org/packages/log4net/1.2.10 and there are a lot of other nuget packages that also runs log4net but newer versions that wont install because we can't update log4net.

This is becoming a bigger and bigger problem so please try to include this in some near feature. I know there are different keys and so, but with a do like this guide we developers should be able to fix the problems that will happen.

#88998
Aug 05, 2014 16:17
Vote:
 

Or better abstract away to some other more "flexible" logging framework :)

#89133
Aug 08, 2014 8:25
Vote:
 

Valdis, that would be even better!

#89134
Aug 08, 2014 8:31
Vote:
 

Ditto, please also update Newtonsoft.Json and StuructureMap .

#90772
Sep 17, 2014 16:11
Vote:
 

Linus reported that they have tested with newer Json, there are some AddOns that are still work-in-progress.

#90773
Sep 17, 2014 16:12
* You are NOT allowed to include any hyperlinks in the post because your account hasn't associated to your company. User profile should be updated.